<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.10(2014/01/13)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */
if (stristr($_SERVER["SCRIPT_NAME"], "redac_unreg.inc")) {
  header("location:../index.php");
  die();
}
define("CHEMIN", "../");
if(!preg_match("`^[-a-z]+$`i", $lng) || !preg_match("`^plugin$`i",$pg) || !preg_match("`^adm_redacteurs/inc/redac_unreg$`i",$plug) || !preg_match("`^(yes|no)$`i",$grpredac)) die("Erreur dans le nom des variables passes dans l'URL !!");
include(CHEMIN."plugins/adm_redacteurs/lang/".$lng."-adm_redacteurs.inc");
include(CHEMIN."plugins/adm_redacteurs/inc/functionredac.inc");	
include(CHEMIN."inc/hpage.inc");

//Rcupration et protection des variables
  $pseudo = isset($_GET['pseudo']) ? $_GET['pseudo'] : NULL; 
  $pseudo = strip_tags($pseudo);
  $sup = isset($_POST['sup']) ? $_POST['sup'] : 0; 
  $sup = strip_tags($sup);
  
if ($sup == 1) {
	switch($grpredac) {
		case 'no' :
   			// suppression de la config du rdacteur
   			DestroyDBFile(REP_REDAC.$pseudo.DBEXT);
   			if (file_exists(REP_REDAC.$pseudo.DBEXT)) $sup = 2;  //vrification de la suppression du fichier du rdacteur
   
   			//suppression du fichier doc du rdacteur
   			DestroyDBFile(REP_DOC."doc_".$pseudo.DBEXT);
   			if (file_exists(REP_DOC."doc_".$pseudo.DBEXT)) $sup = 3; // vrification de la suppression du fichier doc du rdacteur
      
   			//Suppression de l'enregistrement des rdacteurs dans le fichier redac_online.dtb utilis dans la boite de connexion
            DestroyDBFile(REP_REDACMSG.$pseudo."_time".DBEXT);
            $redacs_online = ReadDBFields(REP_REDACMSG.'redac_online'.DBEXT);
            foreach($redacs_online as $key => $redac) {
                if ($pseudo == $redac[0] || ! is_file(REP_REDACMSG.$redac[0]."_time".DBEXT)) {
                    unset($redacs_online[$key]);
                }
            }
            WriteDBFields(REP_REDACMSG.'redac_online'.DBEXT, array_values($redacs_online));   
            //            
            
            //suppression du fichier du plugin diaporama du rdacteur
   			if (file_exists(REP_DOC_PLUGIN."diaporama/liste_".$pseudo.DBEXT)) DestroyDBFile(REP_DOC_PLUGIN."diaporama/liste_".$pseudo.DBEXT);
   			if (file_exists(REP_DOC_PLUGIN."diaporama/liste_".$pseudo.DBEXT)) $sup = 4; // vrification de la suppression du fichier du plugin diaporama du rdacteur
   
   			//suppression du(des) fichier(s) du plugin ajoute menu
   			$dir_ajtmnu = opendir(REP_DOC_PLUGIN."ajoutemenu");
   			while ($file_ajtmnu = readdir($dir_ajtmnu)) {
       			if(strstr($file_ajtmnu,$pseudo) != ""){
          			DestroyDBFile(REP_DOC_PLUGIN."ajoutemenu/".$file_ajtmnu);
          			if (file_exists(REP_DOC_PLUGIN."ajoutemenu/".$file_ajtmnu)) $sup = 5;  //vrification de la suppression du fichier du plugin ajoutemenu du rdacteur
       			}
   			}
   			closedir($dir_ajtmnu); 
   
   			//suppression du fichier du plugin sample du rdacteur
   			if (file_exists(REP_DOC_PLUGIN."sample/liste_".$pseudo.DBEXT)) DestroyDBFile(REP_DOC_PLUGIN."sample/liste_".$pseudo.DBEXT);
   			if (file_exists(REP_DOC_PLUGIN."sample/liste_".$pseudo.DBEXT)) $sup = 6; // vrification de la suppression du fichier du plugin diaporama du rdacteur

		   //suppression du fichier du plugin quiz du rdacteur
   		   if (file_exists(REP_DOC_PLUGIN."quiz/quiz_".$pseudo.DBEXT)){
       	   		DestroyDBFile(REP_DOC_PLUGIN."quiz/quiz_".$pseudo.DBEXT);	
   		   }
   		   if (file_exists(REP_DOC_PLUGIN."quiz/quiz_".$pseudo.DBEXT)) { // vrification de la suppression du fichier du plugin quiz du rdacteur
           		$sup = 7;
   		   }

		break;
		case 'yes' :
   			// suppression de la config du Groupe Rdacteur
   			DestroyDBFile(REP_REDAC.'grp_'.$pseudo.INCEXT);
   			if (file_exists(REP_REDAC.'grp_'.$pseudo.INCEXT)) $sup = 2;  //vrification de la suppression du fichier du rdacteur
	
	        //on s'occupe des fichiers des rdacteurs du groupe pour supprimer le nom du groupe
        	$dir = opendir(REP_REDAC); //on ouvre le rpertoire data/redacteurs
			while ($f = readdir($dir)) { //on lit les nom des fichiers dans data
            	if(is_file(REP_REDAC.$f) && $f != 'index.php' && preg_match('`\.dtb$`', $f)) {
		       		include(REP_REDAC.$f);
					if($redacprefs['rgroupseudo'] == $pseudo) {
						$rpseudo = $redacprefs['rpseudo'];
						$rpass = $redacprefs['rpass'];
						$rgroupseudo = '';
		  				include(CHEMIN."admin/plugins/adm_redacteurs/inc/redac_config".INCEXT);					
					}
	        	}    
	    	}
	    	closedir($dir); // on ferme le rpertoire
		break;
		default :
			die($redac139);	
	}

?>
<script type="text/javascript" language="JavaScript">
<!--
	setTimeout("document.suite.submit();",2000);
-->
</script>	
<?php      
}
////////////////////////////
//Ecriture de la page HTML//
////////////////////////////
($grpredac == 'no')? htable($redac20, "100%") : htable($redac152, "100%");

//htable($redac20, "100%");
?>
<hr />
<div align="center"><a href="admin.php?lng=<?php echo $lng; ?>"><?php echo $admin22; ?></a> || <strong><a href="admin.php?lng=<?php echo $lng; ?>&#38;logout=1"><?php echo $admin19; ?></a></strong></div> 
<hr />
<br />
<p align="center">
<a href="admin.php?lng=<?php echo $lng; ?>&#38;pg=plugin&#38;plug=adm_redacteurs/inc/adminredac"><?php echo $redac3; ?></a>
|| <a href="admin.php?lng=<?php echo $lng; ?>&#38;pg=plugin&#38;plug=adm_redacteurs/inc/redac_register&#38;grpredac=no"><?php echo $redac4; ?></a>
|| <a href="admin.php?lng=<?php echo $lng; ?>&#38;pg=plugin&#38;plug=adm_redacteurs/inc/redac_register&#38;grpredac=yes"><?php echo $redac143; ?></a>
</p>
<?php
switch($sup) {
   case "0" :
   		$redac21 = ($grpredac == 'no')? $redac21 : $redac146;
?>
       	<div align="center" style="margin-top:30px;"><?php echo $redac21.'<span style="font-weight:bold; text-decoration:underline;">&nbsp;'.$pseudo.'&nbsp;</span>'.$redac147; ?></div>
      	<form action="" method="post" name="redacunreg" id="redacunreg">
       	<input type="hidden" id="sup" name="sup" value="1">
        <input type="hidden" name="grpredac" id="grpredac" value="<?php echo $grpredac; ?>" />
       	<div align="center" style="margin-top:30px; margin-bottom:30px;"><input class="bouton" type="submit" id="confsup" name="confsup" value="<?php echo $redac22; ?>"></div>
       	</form>
<?php
       	break;

   case "1" :
       
	   $backurl = 'admin.php?lng='.$lng.'&#38;pg=plugin&#38;plug=adm_redacteurs/inc/adminredac';
       echo '<form name="suite" action="'.$backurl.'" method="post" style="margin:0px;">';
	   echo '<div style="text-align:center; margin-top:10px; font-weight:bold;">'.$redac23.'</div>';
	   echo '<div style="text-align:center; margin:5px;">'.$web267.'</div>';
	   echo '<div style="text-align:center; margin-bottom:10px;"><input type="submit" class="bouton" id="retour" name="retour" value="'.$redac115.'"/></div>';    
       echo '</form>';
       break;

   case "2" :
      	$redac24 = ($grpredac == 'no')? $redac24 : $redac148;
?>
       	<div align="center" style="margin-top:30px; margin-bottom:30px;"><?php echo $redac24; ?></div>
<?php
       	break;

   case "3" :
?>
       <div align="center" style="margin-top:30px; margin-bottom:30px;"><?php echo $redac28; ?></div>
<?php
       break;

   case "4" :
?>
       <div align="center" style="margin-top:30px; margin-bottom:30px;"><?php echo $redac79; ?></div>
<?php
       break;
       
   case "5" :
?>
       <div align="center" style="margin-top:30px; margin-bottom:30px;"><?php echo $redac80; ?></div>
<?php
       break;
       
   case "6" :
?>
       <div align="center" style="margin-top:30px; margin-bottom:30px;"><?php echo $redac101; ?></div>
<?php
       break;
   case "7" :
?>
       <div align="center" style="margin-top:30px; margin-bottom:30px;"><?php echo $redac158; ?></div>
<?php
       break;
    
   default :
?>
       <div align="center" style="margin-top:30px; margin-bottom:30px;"><?php echo $redac60; ?></div>
<?php       
}
?>
<hr>
<div align="center"><a href="admin.php?lng=<?php echo $lng; ?>&#38;pg=plugin&#38;plug=adm_redacteurs/inc/adminredac"><?php echo $redac19; ?></a>
 || <a href="admin.php?lng=<?php echo $lng; ?>"><?php echo $admin22; ?></a> || <strong><a href="admin.php?lng=<?php echo $lng; ?>&#38;logout=1"><?php echo $admin19; ?></a></strong></div>
<?php
btable();
include(CHEMIN."inc/bpage.inc");
?>

